<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$kp_accesos_empresas_add = new kp_accesos_empresas_add();

// Run the page
$kp_accesos_empresas_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kp_accesos_empresas_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fkp_accesos_empresasadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fkp_accesos_empresasadd = currentForm = new ew.Form("fkp_accesos_empresasadd", "add");

	// Validate form
	fkp_accesos_empresasadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($kp_accesos_empresas_add->idempresa->Required) { ?>
				elm = this.getElements("x" + infix + "_idempresa");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_accesos_empresas_add->idempresa->caption(), $kp_accesos_empresas_add->idempresa->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_idempresa");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_accesos_empresas_add->idempresa->errorMessage()) ?>");
			<?php if ($kp_accesos_empresas_add->codlogin->Required) { ?>
				elm = this.getElements("x" + infix + "_codlogin");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_accesos_empresas_add->codlogin->caption(), $kp_accesos_empresas_add->codlogin->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fkp_accesos_empresasadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fkp_accesos_empresasadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fkp_accesos_empresasadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $kp_accesos_empresas_add->showPageHeader(); ?>
<?php
$kp_accesos_empresas_add->showMessage();
?>
<form name="fkp_accesos_empresasadd" id="fkp_accesos_empresasadd" class="<?php echo $kp_accesos_empresas_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kp_accesos_empresas">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$kp_accesos_empresas_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($kp_accesos_empresas_add->idempresa->Visible) { // idempresa ?>
	<div id="r_idempresa" class="form-group row">
		<label id="elh_kp_accesos_empresas_idempresa" for="x_idempresa" class="<?php echo $kp_accesos_empresas_add->LeftColumnClass ?>"><?php echo $kp_accesos_empresas_add->idempresa->caption() ?><?php echo $kp_accesos_empresas_add->idempresa->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_accesos_empresas_add->RightColumnClass ?>"><div <?php echo $kp_accesos_empresas_add->idempresa->cellAttributes() ?>>
<span id="el_kp_accesos_empresas_idempresa">
<input type="text" data-table="kp_accesos_empresas" data-field="x_idempresa" name="x_idempresa" id="x_idempresa" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($kp_accesos_empresas_add->idempresa->getPlaceHolder()) ?>" value="<?php echo $kp_accesos_empresas_add->idempresa->EditValue ?>"<?php echo $kp_accesos_empresas_add->idempresa->editAttributes() ?>>
</span>
<?php echo $kp_accesos_empresas_add->idempresa->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_accesos_empresas_add->codlogin->Visible) { // codlogin ?>
	<div id="r_codlogin" class="form-group row">
		<label id="elh_kp_accesos_empresas_codlogin" for="x_codlogin" class="<?php echo $kp_accesos_empresas_add->LeftColumnClass ?>"><?php echo $kp_accesos_empresas_add->codlogin->caption() ?><?php echo $kp_accesos_empresas_add->codlogin->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_accesos_empresas_add->RightColumnClass ?>"><div <?php echo $kp_accesos_empresas_add->codlogin->cellAttributes() ?>>
<span id="el_kp_accesos_empresas_codlogin">
<input type="text" data-table="kp_accesos_empresas" data-field="x_codlogin" name="x_codlogin" id="x_codlogin" size="30" maxlength="30" placeholder="<?php echo HtmlEncode($kp_accesos_empresas_add->codlogin->getPlaceHolder()) ?>" value="<?php echo $kp_accesos_empresas_add->codlogin->EditValue ?>"<?php echo $kp_accesos_empresas_add->codlogin->editAttributes() ?>>
</span>
<?php echo $kp_accesos_empresas_add->codlogin->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$kp_accesos_empresas_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $kp_accesos_empresas_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $kp_accesos_empresas_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$kp_accesos_empresas_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$kp_accesos_empresas_add->terminate();
?>